import { describe, expect, it } from "@jest/globals"

import { Lang } from "@/constants/languages"

import { isLangLive } from "./isLangLive"

describe("hideForNextRelease", () => {
  it("should return true if en is part of live languages", () => {
    expect(isLangLive(Lang.en, ["en", "sv"])).toBe(true)
    expect(isLangLive(Lang.en, ["en"])).toBe(true)
  })

  it("should return false if en is not part of live languages", () => {
    expect(isLangLive(Lang.en, [])).toBe(false)
    expect(isLangLive(Lang.en, ["sv"])).toBe(false)
    expect(isLangLive(Lang.en, ["sv,fi"])).toBe(false)
  })
})
